<?php

namespace LaraBB\Settings\UI\Web\Handlers\Admin;

use Illuminate\Contracts\View\Factory;
use Illuminate\Contracts\View\View;

/**
 * Class OverviewHandler
 * @package LaraBB\Settings\UI\Web\Handlers\Admin
 */
class OverviewHandler
{
    /**
     * OverviewHandler constructor.
     */
    public function __construct(private readonly Factory $view)
    {
    }

    /**
     * @return View
     */
    public function __invoke(): View
    {
        return $this->view->make('settings::admin.index', [
            'active' => 'settings'
        ]);
    }
}
